using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.TI
{
    /// <summary>
    /// 安全科技计划范围
    /// </summary>
    [Description("安全科技计划范围")]
    public partial class T_TI_PLAN_RANGE : MesEntityBase
    {
        /// <summary>
        /// 计划ID
        /// </summary>
        [Description("计划")]
        [DataFieldForeignKey("Nav_Plan", "Nav_Ranges")]
        public Guid PLAN_ID { get; set; }

        /// <summary>
        /// 导航：计划
        /// </summary>
        [Description("导航：计划")]
        public virtual T_TI_PLAN Nav_Plan { get; set; }

        /// <summary>
        /// 范围ID
        /// </summary>
        [Description("范围")]
        [DataFieldForeignKey("Nav_Range")]
        public Guid RANGE_ID { get; set; }

        /// <summary>
        /// 导航属性：范围
        /// </summary>
        [Description("导航属性：范围")]
        public virtual T_TI_PLAN_RANGE_TYPE Nav_Range { get; set; }

    }
}
